# START YAML ===
################################################################################
## Copyright © 2019 Privategrity Corporation                                   #
##                                                                             #
## All rights reserved.                                                        #
################################################################################

# Output log file
log: "results/gateways/gateway-4.log"

# Log message level
logLevel: 1

# The public IP address and port of the node associated with this gateway
nodeAddress: "127.0.0.1:50003"

# Port for Gateway to listen on. Gateway must be the only listener on this port.
# Required field.
port: 8443

# The public IPv4 address of the Gateway, as reported to the network, to use
# instead of dynamically looking up Gateway's own IP address. If a port is not
# included, then the port flag is used instead.
overridePublicIP: "0.0.0.0"

# The number of seconds a message should remain in the globals before being
# deleted from the user's message queue
messageTimeout: "1800s"

# Path to where the IDF is saved. This is used by the wrapper management script.
idfPath: "results/gateways/gateway-4-idf.json"

# === REQUIRED FOR ENABLING TLS ===
# Path to the private key file
keyPath: "../keys/cmix.rip.key"
# Path to the certificate file
certPath: "../keys/cmix.rip.crt"
# Path to the permissioning certificate
permissioningCertPath: "../keys/cmix.rip.crt"
# Path to the certificate file
serverCertPath: "../keys/cmix.rip.crt"

devMode: true

# === END YAML
